
Figure - Bug #115861
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【桌面】刷机后或恢复出厂设置后底部导航尺寸不对，重启一次才能恢复正常
2023-02-03 16:13 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-03

Priority: High Due date: 2023-02-07

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Reproducibility: Every time Fixed Version: 2023-02-09

Test Type: ST Root cause: 问题原因：��overlay的值定义存在问题��问题修改：��调整overlay的值定义，确保加载正确的高度值

Description

【前提条件】

1、刷机后或恢复出厂设置后

【测试步骤】

1、打开一个应用

2、查看底部导航条尺寸

【预期结果】

1、导航条高度符合规定

【实际结果】

1、导航条高度明显小于规定高度

重启之后可恢复正常

History

#1 - 2023-02-06 10:58 - CD APP-王营

- Due date set to 2023-02-07

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW王武军

#2 - 2023-02-06 19:39 - CD FW王武军

【】当前状态

确认问题现象，开始调查分析。

【】问题调查

刷机或者恢复出厂设置，获取的高度是24；

重启之后，或者的高度是72。从两者的差别来看，可能存在res资源加载的异常。

【】后续动作

沿着导航栏导读res资源包的方向进行调查

#3 - 2023-02-08 15:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
179690 general/platform/vendor/thundercom

m/overlay

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:NavigationBar: define navigationBar heightSet the navigation mode is 2, so need definethe fit value in the gesture overlay and frameoverlay.TC-RID:

1201-0201904IssueID: TS-R-BUG-115861Change-Id: Icba670a9eae380eb81576d169acd66b1d56761cd

#4 - 2023-02-08 15:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179698 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:NavigationBar: define navigationBar heightSet the navigation mode is 2, so need definethe fit value in the gesture overlay and frameoverlay.TC-RID:

1201-0201904IssueID: TS-R-BUG-115861Change-Id: I0024dafa57e372b1dad28bac548f68c806c03453

#5 - 2023-02-08 15:27 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-02-09

- Root cause set to 问题原因：

overlay的值定义存在问题

问题修改：

调整overlay的值定义，确保加载正确的高度值

#6 - 2023-02-08 15:28 - CD FW王武军

- % Done changed from 0 to 100

#7 - 2023-02-09 11:18 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

2.9

刷机和恢复出厂设置后底部导航条尺寸正常，重启也不会发生变化

验证通过

#8 - 2023-02-09 11:18 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
